> For the complete documentation index, see [llms.txt](https://docs.0y.world/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0y.world/getting-started/how-to-sign-up.md).

# How to sign up?

There are three ways to sign up for 0Y Markets.

### Sign Up With Google <a href="#h_b0c7f20fcc" id="h_b0c7f20fcc"></a>

1. Click Sign Up.
2. Select Continue with Google.
3. Connect your Google account.
4. Complete the signup process.

You can now log in using your Google account.

### \*Sign Up with Email <a href="#h_03e957b4ca" id="h_03e957b4ca"></a>

1. Click Sign Up.
2. Enter your email address and click Continue.
3. Enter the 6-digit code sent to your email.
4. You're signed up.

You can now log in using your email and 6-digit code.

{% hint style="info" %}
Never share your 6-digit login code - not even with 0Y staff. If someone gains access to your code, they can access your account and funds. 0Y Markets support cannot recover lost funds caused by shared codes.
{% endhint %}

### Sign Up with Crypto Wallet <a href="#h_69381cd54a" id="h_69381cd54a"></a>

1. Click Sign Up.
2. Connect your crypto wallet (such as MetaMask, Rabby, or Phantom).
3. Sign a message to Connect your wallet to 0Y markets.
4. Sign another message to Enable Trading.
5. You're signed up.

You can now log in using your connected wallet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.0y.world/getting-started/how-to-sign-up.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
